Bug 1258637 - [RFE] EPEL7 Branch of calibre
[RFE] EPEL7 Branch of calibre
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 1261106 1261103 1261104 1261105 1261108
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 16:57 EDT by Pat Riehecky
Modified: 2015-10-05 11:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 11:35:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Riehecky 2015-08-31 16:57:46 EDT
Description of problem:
Can calibre be branched for EPEL7?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kevin Fenzi 2015-09-05 13:18:02 EDT
Well, several issues: 

1. There's a number of packages it needs missing in epel7: 
DEBUG util.py:377:  Error: No Package found for libinput-devel
DEBUG util.py:377:  Error: No Package found for python-apsw
DEBUG util.py:377:  Error: No Package found for python-cssutils >= 0.9.9
DEBUG util.py:377:  Error: No Package found for python-mechanize
DEBUG util.py:377:  Error: No Package found for python-qt5
DEBUG util.py:377:  Error: No Package found for python-qt5-devel

The big one here is python-qt5... it's pretty rapidly changing so I don't know if the maintainer(s) would be wanting it in epel7.

2. calibre has weekly releases, so it changes all the time, which isn't a very good fit for epel that stresses stable and not wanting to change things. 

I guess I'm somewhat open to the idea if the python-qt5 (and other needed packages) are added.
Comment 2 Kevin Fenzi 2015-09-05 13:26:45 EDT
Adding Rex for comment.
Comment 3 Pat Riehecky 2015-09-08 11:18:28 EDT
I've filed the relevant branch requests and linked them into this report.

On your second concern, I'd be fine with versions updating with RHEL7 itself (2x per year) or more frequently if there is an important fix.

Mostly I'd just like a nice epub reader for my EL7 systems.
Comment 4 Rex Dieter 2015-09-08 11:31:55 EDT
Per commetn #2,  PyQt5 (needed by calibre) requires a newer sip than what rhel7 currently provides.  So, not possible at the moment.
Comment 5 Kevin Fenzi 2015-10-05 11:35:33 EDT
ok, so lets defer this and when/if sip updates (possibly in rhel 7.2?) we can reopen...

Note You need to log in before you can comment on or make changes to this bug.